////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// ERank3Tensor.h: interface for the CERank3Tensor class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ERANK3TENSOR_H__8224806B_D431_4ECE_BC3D_E6EA71F823DA__INCLUDED_)
#define AFX_ERANK3TENSOR_H__8224806B_D431_4ECE_BC3D_E6EA71F823DA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CERank3Tensor : public CETensor  
{
public:
	CERank3Tensor(const CExpression* _base,
		const CExpression* index1, bool covariance1,
		const CExpression* index2, bool covariance2,
		const CExpression* index3, bool covariance3);
	virtual ~CERank3Tensor();

	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
	virtual CExpression* clone() const;
};

#endif // !defined(AFX_ERANK3TENSOR_H__8224806B_D431_4ECE_BC3D_E6EA71F823DA__INCLUDED_)
