////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// ETensorProduct.h: interface for the CETensorProduct class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ETENSORPRODUCT_H__BF8FC207_C3EE_11D5_90CB_00403393DD18__INCLUDED_)
#define AFX_ETENSORPRODUCT_H__BF8FC207_C3EE_11D5_90CB_00403393DD18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//##ModelId=3E3FF2C901D4
class CETensorProduct : public CEProduct  
{
public:
	//##ModelId=3E3FF2C901EB
	virtual const char* ClassName() const;
	//##ModelId=3E3FF2C901E6
	CETensorProduct();
	
#ifdef USE_PLAIN_ARRAY_FORSEQ // biuld sequence-expressions on CAPtrArray* basis
	CETensorProduct(CEPtrArray* pPtrArray);
#else
	CETensorProduct(CAPtrSeq* pPtrArray);
#endif //USE_PLAIN_ARRAY_FORSEQ

	CETensorProduct(CEProduct* other);
	//##ModelId=3E3FF2C901E5
	virtual ~CETensorProduct();

};

#endif // !defined(AFX_ETENSORPRODUCT_H__BF8FC207_C3EE_11D5_90CB_00403393DD18__INCLUDED_)
