////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// LSymbolDataBank.h: interface for the CLSymbolDataBank class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LSYMBOLDATABANK_H__2A6B059C_98CD_47CA_A1AF_7009932D801B__INCLUDED_)
#define AFX_LSYMBOLDATABANK_H__2A6B059C_98CD_47CA_A1AF_7009932D801B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
*	static functions for char-map usage data
*/
class CLSymbolDataBank : public CEObject  
{
	static CECharMap* m_char_map;
public:
	CLSymbolDataBank();
	virtual ~CLSymbolDataBank();

	static const DWORD NO_MAP_FOR_UNIQUES;
	static CECharMap* GetCharMap();
	static const char* GetCharOrigin(const char* copy, bool do_create);
	static void ResetCharMap();
	static void init(DWORD _settings);
	static void finalize();
};

#endif // !defined(AFX_LSYMBOLDATABANK_H__2A6B059C_98CD_47CA_A1AF_7009932D801B__INCLUDED_)
