////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// ESerializable.h: interface for the CESerializable class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ESERIALIZABLE_H__CFC69D01_9CA3_11D5_90CB_00403393DD18__INCLUDED_)
#define AFX_ESERIALIZABLE_H__CFC69D01_9CA3_11D5_90CB_00403393DD18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#define STORE_PLAIN_TEXT		0
#define STORE_WR_MATHEMATICA	0
//Do change it to "#define STORE_WR_MATHEMATICA	1"
//after "STORE_PLAIN_TEXT" serilization completion.
#define STORE_TEX				2
#define STORE_PLAIN_TEXT		4
#define STORE_FORTRAN_SYMBOL	8
#define STORE_CPP				16

//##ModelId=3E3FF2D90157
class CESerializable : public CEObject  
{
public:
	virtual long store_stream(ofstream* p_ofs, DWORD settings);
	virtual void* getStorageFlags(); // returns CEMap* object or NULL
	virtual const char* get_TAG_Name();

	CESerializable(bool do_watch = true);
	virtual ~CESerializable();

	virtual char* toLine(int mode = 0);
	virtual CEString* toString(int mode = 0);
	virtual void toStream(ostream* os, int mode);
	virtual const char* ClassName() const;

	virtual CEObject* copy() const;
};

#endif // !defined(AFX_ESERIALIZABLE_H__CFC69D01_9CA3_11D5_90CB_00403393DD18__INCLUDED_)
