////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// EDoubleArray.h: interface for the CEDoubleArray class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EDoubleArray_H__62BAA9A1_C02A_11D9_B9D8_88B1D8EB7A3A__INCLUDED_)
#define AFX_EDoubleArray_H__62BAA9A1_C02A_11D9_B9D8_88B1D8EB7A3A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
*	substitute for double[NN],
*/
class CEDoubleArray  
{
	long m_size;
	long m_size_allocated;
	double* m_data;
public:
	CEDoubleArray();
	CEDoubleArray(int sz); //       ( )
	virtual ~CEDoubleArray();
	CEDoubleArray* copy() const;

	int GetSize() const;
	double GetAt(int i) const;
	void SetAt(int i, double val);
	void Add(double val);
	void PreAllocateTo(int sz);
	void ToSize(int sz);
	void RemoveAll();
	void RemoveAt(int i);
	void FillAll(double val = 0);

	long SprintfTo(char* s, long len_max=-1);

	bool AreAllGTZero(); // are all > 0
	bool AreAllGEZero(); // are all >= 0
};

#endif // !defined(AFX_EDoubleArray_H__62BAA9A1_C02A_11D9_B9D8_88B1D8EB7A3A__INCLUDED_)
