////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// EProgressWatch.h: interface for the CEProgressWatch class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EPROGRESSWATCH_H__47693CCE_DFDD_4BBD_AC89_0432A783D12F__INCLUDED_)
#define AFX_EPROGRESSWATCH_H__47693CCE_DFDD_4BBD_AC89_0432A783D12F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CEProgressWatch : public CEObject  
{
	char* m_description;
	int m_val_max;
	int m_val_curr;

public:
	CEProgressWatch(const char* _description);
	virtual ~CEProgressWatch();
	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
	virtual bool contain_vector(void * obj);

	void step(int val, int val_max);
};

#endif // !defined(AFX_EPROGRESSWATCH_H__47693CCE_DFDD_4BBD_AC89_0432A783D12F__INCLUDED_)
