////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// EPtrStack.h: interface for the CEPtrStack class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EPTRSTACK_H__CA9C7EE9_AE22_495B_83D7_AF140A3DA7B9__INCLUDED_)
#define AFX_EPTRSTACK_H__CA9C7EE9_AE22_495B_83D7_AF140A3DA7B9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CEPtrStack : public CEObject  
{
	CEPtrArray* m_data;
public:
	CEObject* pop();
	void push(CEObject* p);
	CEPtrStack();
	virtual ~CEPtrStack();

	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
	virtual bool contain_vector(void * obj);
};

#endif // !defined(AFX_EPTRSTACK_H__CA9C7EE9_AE22_495B_83D7_AF140A3DA7B9__INCLUDED_)
