////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// UXMLparcer.h: interface for the CUXMLparcer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_UXMLPARCER_H__7E3CCFBF_A226_4A5E_9E02_34E10837DA90__INCLUDED_)
#define AFX_UXMLPARCER_H__7E3CCFBF_A226_4A5E_9E02_34E10837DA90__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*class TagHeaderInfo : public CEObject
{
	char* m_title;
	CEMap* m_params;
public:
	TagHeaderInfo(char* _title);
	virtual ~TagHeaderInfo();
	CEMap* get_params();
	void add_param();
};*/

class CUXMLparcer : public CEUtil  
{
public:
	static long find_next_tag_pos(const char* data, long pos);
	static const char CODE_NO_TAG_FOUND;

	static CEMap* get_tag_values_map(const char* data, long pos);
	static long skip_tag(const char* data, long pos);
	static long find_tag_closing(const char* data, const char* tag, long pos, bool do_skip_closing);
	static long skip_tag_header(const char* data, long pos);
	static long skip_spaces(const char* data, long pos);
	static long skip_spaces_back(const char* data, long pos);
	static char* get_tag_id(const char* data, long pos);
	CUXMLparcer();
	virtual ~CUXMLparcer();
};

#endif // !defined(AFX_UXMLPARCER_H__7E3CCFBF_A226_4A5E_9E02_34E10837DA90__INCLUDED_)
