////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// LDiagDrawingPrepare.cpp: implementation of the CLDiagDrawingPrepare class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// Static Entry
//////////////////////////////////////////////////////////////////////
/*
CLDiagDrawingPrepare::CLDiagDrawingPrepare(CFeynDiagram* diag)
{
	m_diag = diag;
	m_border_widht = 0.01;
}

CLDiagDrawingPrepare::~CLDiagDrawingPrepare()
{
	// do not delete diagram
}


//	1. set positions for external lines
bool CLDiagDrawingPrepare::PrepareDiagramImpl()
{
	if (m_diag == NULL) return false;

	// init library
	m_l_num = m_diag->get_lines_number();
	m_v_num = m_diag->get_vertices_number();

	// 1. set positions for external lines
	// determine gap between external tales
	// the gap will be uniform for internal & external lines
	CKinematics* kin = CEProcessor::kinematics();
	int i_num = kin->num_init_particles();
	int f_num = kin->num_final_particles();
	int max_num = (f_num>i_num)?f_num:i_num;
	if (max_num < 2) return false;

	double ext_y_del = (((double)1.-m_border_widht*2))/(max_num-1);
	double i_y_curr = m_border_widht;
	double f_y_curr = m_border_widht;
	if (f_num>i_num) {
		i_y_curr = ext_y_del*(max_num-i_num)/2;// the same is ((double)1.-ext_del*(i_num-1))/2;
	} else {
		f_y_curr = ext_y_del*(max_num-f_num)/2;// the same is ((double)1.-ext_del*(f_num-1))/2;
	}
	double i_x_curr = m_border_widht;
	double f_x_curr = (1.-m_border_widht);

	// m_border_widht is required for ensure that
	// "i_y_curr += ext_y_del"-operations will not exceed "1."
	// 
	int i;
	for(i=0; i<m_l_num; i++) {
		CDLine* l = m_diag->get_line(i);
		if (l->is_external()) {
			if (l->DE_kind() & CDElement::EL_LN_INITIAL) {
				l->set_position(new CPos2D(i_x_curr, i_y_curr));
				i_y_curr += ext_y_del;
			}
			else {
				l->set_position(new CPos2D(f_x_curr, f_y_curr));
				f_y_curr += ext_y_del;
			}
		}
	}

	return false;
}*/
