////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// DPropagatorCorrRule.h: interface for the CDPropagatorCorrRule class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DPROPAGATORCORRRULE_H__F5F7FA10_5F5A_472B_BB04_40D501F98FD6__INCLUDED_)
#define AFX_DPROPAGATORCORRRULE_H__F5F7FA10_5F5A_472B_BB04_40D501F98FD6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDPropagatorCorrRule : public CDCorrRule  
{
public:
	CDPropagatorCorrRule(CExpression* corr_expr, int _corr_kind, long pk, CSequence* temp_syms);
	virtual ~CDPropagatorCorrRule();

	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
	virtual CEString* toString(int mode = 0);
	virtual CEObject* copy() const;
	virtual bool obj_equals(CEObject* other);
	virtual bool contain_vector(void * obj);
};

#endif // !defined(AFX_DPROPAGATORCORRRULE_H__F5F7FA10_5F5A_472B_BB04_40D501F98FD6__INCLUDED_)
