////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// ScriptValueDiagramSet.h: interface for the CScriptValueDiagramSet class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SCRIPTVALUEDIAGRAMSET_H__74A775FC_93D4_4DC8_83ED_D6C3C9ED7673__INCLUDED_)
#define AFX_SCRIPTVALUEDIAGRAMSET_H__74A775FC_93D4_4DC8_83ED_D6C3C9ED7673__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CScriptValueDiagramSet : public CScriptValue  
{
	CDiagramSet* m_diags_val;
public:
	CScriptValueDiagramSet(CDiagramSet* _diagrams, bool is_cloned = false);
	virtual ~CScriptValueDiagramSet();

	virtual CScriptValue* clone() const;
	virtual int value_type();
	virtual bool check_value_type(int type_mask);
	virtual bool check_value(int type_mask, bool check_object);
	virtual CEString* toString(int mode = 0);
	virtual CEObject* get_obj_value();

	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
};

#endif // !defined(AFX_SCRIPTVALUEDIAGRAMSET_H__74A775FC_93D4_4DC8_83ED_D6C3C9ED7673__INCLUDED_)
