// PBoson.cpp: implementation of the CPBoson class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPBoson::CPBoson(long _pk, CExpression* _momentum_sym, CExpression* _mass_sym, CExpression* _pol_vec_sym, int _ID_kin, CEPtrArray* params)
: CPAbstractBoson(_pk, _momentum_sym, _mass_sym, _pol_vec_sym, _ID_kin)
{
	if (!CEParticle::is_bosonic_PK(m_boson_pk)) { dbg->log(0, m_boson_pk, "Error: boson creation with non-bosonic PK: %ld"); CEException::halt(); }
	m_init_OK = true;
}

CPBoson::~CPBoson() {}
