////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// PBosonW.h: interface for the CPBosonW class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PBOSONW_H__FA478103_C8EB_4527_839F_FEE703E8DA4E__INCLUDED_)
#define AFX_PBOSONW_H__FA478103_C8EB_4527_839F_FEE703E8DA4E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CPBosonW : public CPAbstractBoson  
{
public:
	CPBosonW(long _pk, // used to particle/antiparticle declaration
		CExpression* _momentum_sym, CExpression* _mass_sym, CExpression* _pol_vec_sym,
		int _ID_kin, CEPtrArray* params);
	virtual ~CPBosonW();
};

#endif // !defined(AFX_PBOSONW_H__FA478103_C8EB_4527_839F_FEE703E8DA4E__INCLUDED_)
