////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// InelasticKinematics.h: interface for the CInelasticKinematics class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_INELASTICKINEMATICS_H__B0A75DDE_7AE0_49FE_8444_D8E68F9F149B__INCLUDED_)
#define AFX_INELASTICKINEMATICS_H__B0A75DDE_7AE0_49FE_8444_D8E68F9F149B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//##ModelId=3E3FF2C9031C
class CInelasticKinematics : public CKinematics  
{
public:
	//##ModelId=3E3FF2C90333
	virtual void set_CMS_energy(double energy);
	//##ModelId=3E3FF2C90332
	virtual void fill_data_storage();
	//##ModelId=3E3FF2C90330
	virtual void InitVectors(double energy);
	//##ModelId=3E3FF2C9032E
	virtual CExpression* getEqual(CExpression* expr);
	//##ModelId=3E3FF2C9032C
	virtual bool isPrimary(CExpression* expr);
	//##ModelId=3E3FF2C9031F
	CInelasticKinematics();
	//##ModelId=3E3FF2C9031E
	virtual ~CInelasticKinematics();
	virtual CEReplList* getReplacements(int type);

};

#endif // !defined(AFX_INELASTICKINEMATICS_H__B0A75DDE_7AE0_49FE_8444_D8E68F9F149B__INCLUDED_)
