////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// LSimplifyMisc.h: interface for the CLSimplifyMisc class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LSIMPLIFYMISC_H__932711CF_8E41_4FC5_9B6F_35529D7BBB2B__INCLUDED_)
#define AFX_LSIMPLIFYMISC_H__932711CF_8E41_4FC5_9B6F_35529D7BBB2B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CLSimplifyMisc : public CELibrary  
{
public:
	static CExpression* get_Re(CExpression* source, bool delete_source);
	static CExpression* get_Im(CExpression* source, bool delete_source);
	CLSimplifyMisc();
	virtual ~CLSimplifyMisc();

	static CExpression* TruncateSign(CExpression* source); // clones source

	static const DWORD MISC_EXPAND_SAVE_MEMORY;
	static CExpression* ExpandSaveMemory(CExpression* source);
	static CExpression* ExpandSaveMemoryImpl(CExpression* source, bool del_src);
};

#endif // !defined(AFX_LSIMPLIFYMISC_H__932711CF_8E41_4FC5_9B6F_35529D7BBB2B__INCLUDED_)
