////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// EAbstractTask.cpp: implementation of the CEAbstractTask class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CEData* CEAbstractTask::data = NULL;

CEAbstractTask::CEAbstractTask() : CEObject(true)
{
	init();
}

CEAbstractTask::~CEAbstractTask() { }

const char* CEAbstractTask::CLASS_NAME = "CEAbstractTask";
const char* CEAbstractTask::ClassName() const { return CLASS_NAME; }

bool CEAbstractTask::init()
{
	bool res = (data == NULL);
	if (res) data = CEProcessor::getDataStorage();
	return res;
}
