////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// EAbstractTask.h: interface for the CEAbstractTask class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EABSTRACTTASK_H__626C2F40_0B3F_11D5_8A94_B06C8662214A__INCLUDED_)
#define AFX_EABSTRACTTASK_H__626C2F40_0B3F_11D5_8A94_B06C8662214A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//##ModelId=3E3FF2DC0167
class CEAbstractTask : public CEObject  
{
public:
	//##ModelId=3E3FF2DC017F
	static bool init();
	//##ModelId=3E3FF2DC017E
	virtual CEObject* doTask() = 0;
	//##ModelId=3E3FF2DC017D
	CEAbstractTask();
	//##ModelId=3E3FF2DC017C
	virtual ~CEAbstractTask();
	static const char* CLASS_NAME;
	virtual const char* ClassName() const;

protected:
	//##ModelId=3E3FF2DC0179
	static CEData* data;
};

#endif // !defined(AFX_EABSTRACTTASK_H__626C2F40_0B3F_11D5_8A94_B06C8662214A__INCLUDED_)
