////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// ETestTask.h: interface for the CETestTask class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ETESTTASK_H__E117347A_1B24_41B3_82DB_4A818F44B079__INCLUDED_)
#define AFX_ETESTTASK_H__E117347A_1B24_41B3_82DB_4A818F44B079__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//##ModelId=3E3FF2CF02EE
class CETestTask : public CEAbstractTask  
{
public:
	//##ModelId=3E3FF2CF02FE
	virtual CEObject* doTask();
	//##ModelId=3E3FF2CF02FD
	CETestTask();
	//##ModelId=3E3FF2CF02F3
	virtual ~CETestTask();

private:
	//##ModelId=3E3FF2CF02F2
	CExpression* test();
	//##ModelId=3E3FF2CF02F1
	void scanDataStorage();
	//##ModelId=3E3FF2CF02F0
	void fillDataStorage();
};

#endif // !defined(AFX_ETESTTASK_H__E117347A_1B24_41B3_82DB_4A818F44B079__INCLUDED_)
