////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// EDataNode.h: interface for the CEDataNode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EDATANODE_H__35F12EE2_CEEC_11D5_90CB_00403393DD18__INCLUDED_)
#define AFX_EDATANODE_H__35F12EE2_CEEC_11D5_90CB_00403393DD18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//##ModelId=3E3FF2DA0290
class CEDataNode : public CEMap  
{
public:
	//##ModelId=3E3FF2DA0295
	virtual CEDataNode* getFinalNode(const char* id) = 0;
	//##ModelId=3E3FF2DA0294
	static CEDataNode* createDataNode();
	//##ModelId=3E3FF2DA0293
	CEDataNode();
	//##ModelId=3E3FF2DA0292
	virtual ~CEDataNode();

};

#endif // !defined(AFX_EDATANODE_H__35F12EE2_CEEC_11D5_90CB_00403393DD18__INCLUDED_)
