////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// ETensorProduct.cpp: implementation of the CETensorProduct class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

#ifdef USE_PLAIN_ARRAY_FORSEQ // biuld sequence-expressions on CAPtrArray* basis
CETensorProduct::CETensorProduct(CEPtrArray* pPtrArray):CEProduct(pPtrArray) {}
#else
CETensorProduct::CETensorProduct(CAPtrSeq* pPtrArray):CEProduct(pPtrArray) {}
#endif //USE_PLAIN_ARRAY_FORSEQ

CETensorProduct::CETensorProduct(CEProduct* other):CEProduct(other->getMemberList())
{
}

CETensorProduct::CETensorProduct():CEProduct()
{
}

CETensorProduct::~CETensorProduct()
{

}

const char* CETensorProduct::ClassName() const
{
	return "CETensorProduct";
}
