////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// EScalar.h: interface for the CEScalar class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ESCALAR_H__BF8FC204_C3EE_11D5_90CB_00403393DD18__INCLUDED_)
#define AFX_ESCALAR_H__BF8FC204_C3EE_11D5_90CB_00403393DD18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//##ModelId=3E3FF2D3033C
class CEScalar : public CETensor  
{
public:
	//##ModelId=3E3FF2D30353
	virtual unsigned long props_long();
	//##ModelId=3E3FF2D30350
	CEScalar();
	//##ModelId=3E3FF2D30351
	CEScalar(const CExpression* base);
	//##ModelId=3E3FF2D3034F
	virtual ~CEScalar();

protected:
	//##ModelId=3E3FF2D3034C
	virtual void collectProperties(CEProperties* props, unsigned set = CEProperties::PROP_MASK_ALL);

};

#endif // !defined(AFX_ESCALAR_H__BF8FC204_C3EE_11D5_90CB_00403393DD18__INCLUDED_)
