////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// ESerializable.cpp: implementation of the CESerializable class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CESerializable::CESerializable(bool do_watch)  : CEObject(do_watch)
{

}

CESerializable::~CESerializable()
{

}

char* CESerializable::toLine(int mode) {
	//TODO: make it faster by something like 'string->extract_buffer()'
	CEString* str=toString(mode); char* res=CEUtil::copyString(str->getData()); delete str;
	return res;
}

CEString* CESerializable::toString(int mode)
{
	//char* c_res = toLine(mode);
	//if (c_res == NULL) { printf("Warning: CESerializable::toString() NULL result.\n"); return NULL; }
	//CEString* res = new CEString(c_res, true);

	printf("Warning: CESerializable::toString() call.\n"); return NULL;
	CEString* res = new CEString("ERROR{CESerializable::toString()}");
	return res;
}

void CESerializable::toStream(ostream* os, int mode)
{
	return;
}

const char* CESerializable::get_TAG_Name() {
	return "null";
}

long CESerializable::store_stream(ofstream *p_ofs, DWORD settings)
{
	*p_ofs << "?";
	return 1;
}

void* CESerializable::getStorageFlags() { return NULL; } // no flags by default

const char* CESerializable::ClassName() const
{
	return "<Unknown serializable class>";
}

CEObject* CESerializable::copy() const {
	//Error: copying is not implemented for serializable class.
	printf("Error: copying is not implemented for serializable class (");
	printf(ClassName());
	printf(")\n");
	throw(new CEException(CEException::INT_ERROR));
	//return NULL;
}
