////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// EFunctionProvider.h: interface for the CEFunctionProvider class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EFUNCTIONPROVIDER_H__F6FF80C2_ADC5_11D5_90CB_00403393DD18__INCLUDED_)
#define AFX_EFUNCTIONPROVIDER_H__F6FF80C2_ADC5_11D5_90CB_00403393DD18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//##ModelId=3E3FF2D5009C
class CEFunctionProvider : public CEObject  
{
protected:
	//##ModelId=3E3FF2D500AD
	CEFunctionProvider();
public:
	//##ModelId=3E3FF2D5009F
	virtual CEFunction* getFunction(char* pName, CEPtrArray* pPtrArray);
	//##ModelId=3E3FF2D5009E
	virtual ~CEFunctionProvider();

	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
};

#endif // !defined(AFX_EFUNCTIONPROVIDER_H__F6FF80C2_ADC5_11D5_90CB_00403393DD18__INCLUDED_)
