////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// DCorrRule.h: interface for the CDCorrRule class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DCORRRULE_H__39D1F6AC_B7F8_4CDC_B3A6_ABB967A2FE31__INCLUDED_)
#define AFX_DCORRRULE_H__39D1F6AC_B7F8_4CDC_B3A6_ABB967A2FE31__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDCorrRule : public CESerializable  
{
protected:
	CExpression* m_corr_expr;
	int m_corr_kind;
	long m_ID;
	CSequence* m_temp_syms;

protected:
	CDCorrRule(CExpression* _corr_expr, int _corr_kind, long _ID, CSequence* _temp_syms);
public:
	int GetCorrKind();
	long GetID();
	CSequence* GetTempSyms();
	CExpression* getInternalCorrExpr();
	virtual ~CDCorrRule();
	virtual bool obj_equals(CEObject* other);
	virtual bool contain_vector(void * obj);
};

#endif // !defined(AFX_DCORRRULE_H__39D1F6AC_B7F8_4CDC_B3A6_ABB967A2FE31__INCLUDED_)
