////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// DExtLineCorrRule.h: interface for the CDExtLineCorrRule class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DEXTLINECORRRULE_H__9DAA45C7_5B15_4C12_9225_68989AE438F2__INCLUDED_)
#define AFX_DEXTLINECORRRULE_H__9DAA45C7_5B15_4C12_9225_68989AE438F2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDExtLineCorrRule : public CDCorrRule  
{
public:
	CDExtLineCorrRule(CExpression* _corr_expr, int _corr_kind, long pk, CSequence* _temp_syms);
	virtual ~CDExtLineCorrRule();
	
	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
	virtual CEString* toString(int mode = 0);
	virtual CEObject* copy() const;
	virtual bool obj_equals(CEObject* other);
	virtual bool contain_vector(void * obj);
};

#endif // !defined(AFX_DEXTLINECORRRULE_H__9DAA45C7_5B15_4C12_9225_68989AE438F2__INCLUDED_)
