////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// MESeqFORoute.h: interface for the CMESeqFORoute class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MESEQFOROUTE_H__46E54C46_2D74_4360_A23E_69D27A119E48__INCLUDED_)
#define AFX_MESEQFOROUTE_H__46E54C46_2D74_4360_A23E_69D27A119E48__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMESeqFORoute : public CEPtrArray  
{
public:
	CMESeqFORoute();
	virtual ~CMESeqFORoute();
	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
	virtual CEObject* copy() const;
	CMESeqFORoute* cloneRoute() const;

	void addPair(CEFieldOperator* fo_start, CEFieldOperator* fo_end);
	void setPair(int i, CEFieldOperator* fo_start, CEFieldOperator* fo_end);
	bool equalPairs(int i1, CEPtrArray* fo_pair2);
	void addPairCopyFrom(CMESeqFORoute* r, int pos, bool swap_pair);
	bool haveCommonLineWith(CMESeqFORoute* other);
	CEFieldOperator* getFO(int i, int no);// no == 0,1
};

#endif // !defined(AFX_MESEQFOROUTE_H__46E54C46_2D74_4360_A23E_69D27A119E48__INCLUDED_)
