////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// VirtInt11.h: interface for the CVirtInt11 class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VIRTINT11_H__787FCDC2_3BC5_4C6E_A24B_354823A6C3D2__INCLUDED_)
#define AFX_VIRTINT11_H__787FCDC2_3BC5_4C6E_A24B_354823A6C3D2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
*	The class is currently UNUSED!
*/
class CVirtInt11 : public CVirtIntegral  
{
	int m_num;
public:
	virtual CExpression* clone() const;
	virtual CExpression* evaluate(int level = 0);
	virtual CEString* toString(int mode = 0);
	CVirtInt11(const CVIDensData* ddata, int n);
	virtual ~CVirtInt11();
	virtual CEString* GetHEPId(); // "?" for undefined, "0","1","2",11,21,111 ...
	virtual CExpression* GetSingularTermFactor(); // NULL for unknown
	virtual bool equals(CExpression* other);

	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
	static const char* CLASS_TAG_NAME;
	virtual const char* get_TAG_Name();
	virtual long store_stream(ofstream* p_ofs, DWORD settings);
	static CESerializable* restore_from_buffer(const char* data, long pos, CEMap* params, DWORD settings);
};

#endif // !defined(AFX_VIRTINT11_H__787FCDC2_3BC5_4C6E_A24B_354823A6C3D2__INCLUDED_)
