////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// PBosonZ.cpp: implementation of the CPBosonZ class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPBosonZ::CPBosonZ(CExpression* _momentum_sym,
				   CExpression* _mass_sym,
				   CExpression* _pol_vec_sym,
				   int _ID_kin,
				   CEPtrArray* params)
: CPAbstractBoson(CEParticle::PARTICLE_Z_BOSON,_momentum_sym, _mass_sym, _pol_vec_sym, _ID_kin)
{
	m_init_OK = true;
}

CPBosonZ::~CPBosonZ() {}
