////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// PNeutrino.cpp: implementation of the CPNeutrino class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////// Not Used
//	Neutrino particle is described by abstract fermion class
////////////////////////////////////////////////////////////////////////// Not Used
CPNeutrino::CPNeutrino(CExpression* _momentum_sym,
					   CExpression* _mass_sym,
					   CExpression* _pol_vec_sym,
					   int _ID_kin, CEPtrArray* params)
: CEParticle(_momentum_sym, _mass_sym, _pol_vec_sym, _ID_kin)
{
	m_init_OK = false;
	CEException::halt("Warning: CPNeutrino::CPNeutrino() deprecated function call");
}

CPNeutrino::~CPNeutrino()
{

}

long CPNeutrino::get_PK()
{
	return CEParticle::PARTICLE_NEUTRINO;
}
