////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// PBosonZ.h: interface for the CPBosonZ class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PBOSONZ_H__43244789_A5EB_426F_BA7A_710A5751285C__INCLUDED_)
#define AFX_PBOSONZ_H__43244789_A5EB_426F_BA7A_710A5751285C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CPBosonZ : public CPAbstractBoson  
{
public:
	CPBosonZ(CExpression* _momentum_sym, CExpression* _mass_sym, CExpression* _pol_vec_sym,
		int _ID_kin, CEPtrArray* params);
	virtual ~CPBosonZ();
};

#endif // !defined(AFX_PBOSONZ_H__43244789_A5EB_426F_BA7A_710A5751285C__INCLUDED_)
