////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// PNeutrino.h: interface for the CPNeutrino class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PNEUTRINO_H__474D276D_06CB_4E81_A187_BC8FE0C36D29__INCLUDED_)
#define AFX_PNEUTRINO_H__474D276D_06CB_4E81_A187_BC8FE0C36D29__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CPNeutrino : public CEParticle  
{
public:
	CPNeutrino(CExpression* _momentum_sym, CExpression* _mass_sym, CExpression* _pol_vec_sym,
		int _ID_kin, CEPtrArray* params);
	virtual ~CPNeutrino();

	virtual long get_PK();
};

#endif // !defined(AFX_PNEUTRINO_H__474D276D_06CB_4E81_A187_BC8FE0C36D29__INCLUDED_)
