////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// RParticeReplasement.h: interface for the CRParticeReplasement class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RPARTICEREPLASEMENT_H__2D8A8655_F0B0_4AE9_BDE4_CCBA22ED5E74__INCLUDED_)
#define AFX_RPARTICEREPLASEMENT_H__2D8A8655_F0B0_4AE9_BDE4_CCBA22ED5E74__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CRParticeReplasement : public CERule  
{
	CEParticle* m_part_a;
	CEParticle* m_part_b;
public:
	virtual CEObject* copy() const;
	virtual CExpression* ApplyTo(CExpression* src, bool del_src = true);
	virtual CERule* GetRuleCopy() const;
	CEParticle* part_a();
	CEParticle* part_b();
	CRParticeReplasement(CEParticle* _part_a, CEParticle* _part_b);
	virtual ~CRParticeReplasement();
};

#endif // !defined(AFX_RPARTICEREPLASEMENT_H__2D8A8655_F0B0_4AE9_BDE4_CCBA22ED5E74__INCLUDED_)
