////////////////////////////////////////////////////////
//	This file is a part of ALHEP project
//	Author: V.Makarenko (makarenko@hep.by)
//	See details at http://www.hep.by/alhep
////////////////////////////////////////////////////////

// ScriptObjectValue.h: interface for the CScriptObjectValue class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SCRIPTOBJECTVALUE_H__B3C34043_4B67_468E_BA57_D161E6BB13C4__INCLUDED_)
#define AFX_SCRIPTOBJECTVALUE_H__B3C34043_4B67_468E_BA57_D161E6BB13C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CScriptObjectValue : public CScriptValue  
{
	CESerializable* m_obj;
	int m_obj_type;
public:
	CScriptObjectValue(int obj_type, CESerializable* obj, bool is_cloned = false);
	virtual ~CScriptObjectValue();
	virtual CScriptValue* clone() const;
	virtual int value_type();
	virtual bool check_value_type(int type_mask);
	virtual bool check_value(int type_mask, bool check_object);
	virtual CEString* toString(int mode = 0);
	virtual CEObject* get_obj_value();
	static const char* CLASS_NAME;
	virtual const char* ClassName() const;
};

#endif // !defined(AFX_SCRIPTOBJECTVALUE_H__B3C34043_4B67_468E_BA57_D161E6BB13C4__INCLUDED_)
